Skip to content
Help and manuals  >  Enterprise services  >  BlackBerry UEM  >  Installation and upgrade
Version: 12.7

Preinstallation and preupgrade checklist

Verify that the following requirements are met before you install BlackBerry UEM version 12.7.

You can also upgrade to BlackBerry UEM version 12.7 from the following:
  • Good Control version 2.3 or later
  • Good Proxy version 2.3 or later
  • BES10 version 10.2.3 or later
  • BES12 version 12.5
  • BlackBerry UEM version 12.6

You can download the BlackBerry UEM software from the BlackBerry UEM and BES Downloads web page.

For more information about configuring BlackBerry UEM, see the Configuration content.

When you verify requirements in this document, see the Compatibility matrix.

You can use the BlackBerry UEM Readiness Tool to check system requirements before you run the BlackBerry UEM setup application. Download the tool from the BlackBerry UEM and BES Downloads web page.

Note: If you are upgrading a BES12 instance that is integrated with Good Control, make sure you carefully review the prerequisites before you begin.

Minimum requirements for installing BlackBerry UEM

The following requirements apply when you need to configure computers or devices to support BlackBerry UEM in your organization.

Complete Requirement
  • Verify that your computer is running an operating system that supports BlackBerry UEM.
  • Verify that your computer is running Windows PowerShell 2.0 or later for the following:
    • RRAS for BlackBerry Secure Connect Plus setup during the BlackBerry UEM installation
    • Exchange ActiveSync gatekeeping (optional).
  • Verify that your ports are configured. For more information, see Port requirements.
  • Verify that you have a mail server that supports BlackBerry UEM.
  • Verify that the Exchange ActiveSync version meets the minimum requirements.
  • Verify that you have Microsoft Exchange Server 2010 or later if you plan to enable Exchange ActiveSync gatekeeping on the mail server.
  • Verify that you have one of the following company directories:
    • Microsoft Active Directory and users with Microsoft Active Directory accounts
    • LDAP with anonymous authentication or simple bind authentication, with or without SSL
  • If you are upgrading from Good Control, Good Proxy, or a BES12 version 12.5 instance that is integrated with Good Control, verify that the Good Control license is a production license (not a development license). You can check the type of license you have in the Admins section of https://community.blackberry.com.
  • Verify that your database server has a supported database management system.
  • Verify that the TCP/IP network protocols are turned on for your BlackBerry UEM and BlackBerry Control databases. BlackBerry Control does not support dynamic ports.
  • Verify that you have DNS support for resolving IP addresses into host names.
  • If you have VPN hardware in your environment, verify that you have one of the following:
    • IPSec VPN hardware
    • SSL VPN hardware
  • If you have a remote BlackBerry Router instance or TCP proxy server in your organization, verify that you have a supported operating system.
  • Verify that you have a supported browser on the computers that host the BlackBerry UEM management console.

  • Verify that you configure the following settings to support browser access:
    • Support for JavaScript
    • Cookies turned on
    • Support for TLS
    • The SSL certificate is installed to permit trusted connections to the consoles
  • Verify that you have supported mobile operating systems for BlackBerry 10, iOS, OS X, Android, and Windows devices.